Нет описания правки
Метка: отменено
Нет описания правки
Метка: отменено
Строка 160: Строка 160:
     --list-bullet: url('https://structorica.wiki/images/List_bullet.svg');
     --list-bullet: url('https://structorica.wiki/images/List_bullet.svg');
     --hlist-bullet-color: #000;
     --hlist-bullet-color: #000;
   
    --ooui-text: var(--color-base);
    --ooui-interface: var(--background-color-interactive-subtle);
    --ooui-interface-border: var(--border-color-base);
    --ooui-normal: var(--background-color-neutral-subtle);
    --ooui-normal--hover: var(--background-color-base);
    --ooui-normal-border: var(--border-color-base);
    --ooui-progressive: var(--color-progressive);
    --ooui-progressive--hover: var(--color-progressive--hover);
    --ooui-progressive-text: var(--color-inverted);
    --ooui-accent: var(--link-color);
    --ooui-input: var(--background-color-base);
    --ooui-input-border: var(--border-color-base);
    --ooui-input-border--hover: var(--border-color-interactive);
    --ooui-disabled: var(--background-color-disabled);
    --ooui-disabled-border: var(--border-color-disabled);
    --ooui-disabled-text: var(--color-base);
}
}


Строка 266: Строка 288:
     --list-bullet: url('https://structorica.wiki/images/List_bullet_dark.svg');
     --list-bullet: url('https://structorica.wiki/images/List_bullet_dark.svg');
     --hlist-bullet-color: #FFF;
     --hlist-bullet-color: #FFF;
       
    --ooui-text: var(--color-base);
    --ooui-interface: var(--background-color-interactive-subtle);
    --ooui-interface-border: var(--border-color-base);
    --ooui-normal: var(--background-color-neutral-subtle);
    --ooui-normal--hover: var(--background-color-base);
    --ooui-normal-border: var(--border-color-base);
    --ooui-progressive: var(--color-progressive);
    --ooui-progressive--hover: var(--color-progressive--hover);
    --ooui-progressive-text: var(--color-inverted);
    --ooui-accent: var(--link-color);
    --ooui-input: var(--background-color-base);
    --ooui-input-border: var(--border-color-base);
    --ooui-input-border--hover: var(--border-color-interactive);
    --ooui-disabled: var(--background-color-disabled);
    --ooui-disabled-border: var(--border-color-disabled);
    --ooui-disabled-text: var(--color-base);
}
}


Строка 509: Строка 550:
   color: #7e8eff
   color: #7e8eff
}
}


:where(body.stw-theme-dark) a.new:hover,
:where(body.stw-theme-dark) a.new:hover,
Строка 532: Строка 574:
     border-radius: 2px;
     border-radius: 2px;
     text-decoration: none;
     text-decoration: none;
}
body.stw-theme-dark .mw-checkbox-toggle-controls a {
    color: #90c0fe !important;
}
}


Строка 1926: Строка 1971:


/* -------------------- WIKI EDITOR 3 END --------------------*/
/* -------------------- WIKI EDITOR 3 END --------------------*/
.cdx-button:enabled,
.mw-ui-button:enabled,
.cdx-button.cdx-button--fake-button--enabled,
.mw-ui-button.cdx-button--fake-button--enabled {
    background-color: var(--ooui-normal);
    color: var(--ooui-text);
    border-color: var(--ooui-normal-border);
}
.cdx-button:enabled:focus:not(:active):not(.cdx-button--is-active),
.mw-ui-button:enabled:focus:not(:active):not(.cdx-button--is-active),
.cdx-button.cdx-button--fake-button--enabled:focus:not(:active):not(.cdx-button--is-active),
.mw-ui-button.cdx-button--fake-button--enabled:focus:not(:active):not(.cdx-button--is-active) {
    color: var(--ooui-text);
    border-color: var(--ooui-accent);
    box-shadow: inset 0 0 0 1px var(--ooui-accent), inset 0 0 0 2px #ffffff;
}
.cdx-button:enabled:hover,
.mw-ui-button:enabled:hover,
.cdx-button.cdx-button--fake-button--enabled:hover,
.mw-ui-button.cdx-button--fake-button--enabled:hover,
.cdx-button:enabled:active,
.mw-ui-button:enabled:active,
.cdx-button.cdx-button--fake-button--enabled:active,
.mw-ui-button.cdx-button--fake-button--enabled:active {
    background-color: var(--ooui-normal--hover);
    color: var(--ooui-text);
    border-color: var(--ooui-normal-border);
}
.cdx-button:enabled:visited,
.mw-ui-button:enabled:visited,
.cdx-button.cdx-button--fake-button--enabled:visited,
.mw-ui-button.cdx-button--fake-button--enabled:visited {
    color: var(--ooui-text);
}
.cdx-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive,
.mw-ui-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive,
.cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive,
.mw-ui-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive,
.cdx-button:enabled .mw-ui-button.mw-ui-progressive:not(:disabled),
.mw-ui-button:enabled .mw-ui-button.mw-ui-progressive:not(:disabled),
.cdx-button.cdx-button--fake-button--enabled .mw-ui-button.mw-ui-progressive:not(:disabled),
.mw-ui-button.cdx-button--fake-button--enabled .mw-ui-button.mw-ui-progressive:not(:disabled) {
    background-color: var(--ooui-progressive);
    color: #fff;
    border-color: var(--ooui-progressive);
}
.cdx-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive:hover,
.mw-ui-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive:hover,
.cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive:hover,
.mw-ui-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive:hover,
.cdx-button:enabled .mw-ui-button.mw-ui-progressive:not(:disabled):hover,
.mw-ui-button:enabled .mw-ui-button.mw-ui-progressive:not(:disabled):hover,
.cdx-button.cdx-button--fake-button--enabled .mw-ui-button.mw-ui-progressive:not(:disabled):hover,
.mw-ui-button.cdx-button--fake-button--enabled .mw-ui-button.mw-ui-progressive:not(:disabled):hover {
    background-color: var(--ooui-progressive--hover);
    border-color: var(--ooui-progressive--hover);
}
.cdx-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive:focus,
.mw-ui-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive:focus,
.cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive:focus,
.mw-ui-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive:focus,
.cdx-button:enabled .mw-ui-button.mw-ui-progressive:not(:disabled):focus,
.mw-ui-button:enabled .mw-ui-button.mw-ui-progressive:not(:disabled):focus,
.cdx-button.cdx-button--fake-button--enabled .mw-ui-button.mw-ui-progressive:not(:disabled):focus,
.mw-ui-button.cdx-button--fake-button--enabled .mw-ui-button.mw-ui-progressive:not(:disabled):focus {
    box-shadow: inset 0 0 0 1px var(--ooui-accent), inset 0 0 0 2px #ffffff;
}
.cdx-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive:active,
.mw-ui-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive:active,
.cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive:active,
.mw-ui-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive:active,
.cdx-button:enabled .mw-ui-button.mw-ui-progressive:not(:disabled):active,
.mw-ui-button:enabled .mw-ui-button.mw-ui-progressive:not(:disabled):active,
.cdx-button.cdx-button--fake-button--enabled .mw-ui-button.mw-ui-progressive:not(:disabled):active,
.mw-ui-button.cdx-button--fake-button--enabled .mw-ui-button.mw-ui-progressive:not(:disabled):active,
.cdx-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive.is-on,
.mw-ui-button:enabled.cdx-button--weight-primary.cdx-button--action-progressive.is-on,
.cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive.is-on,
.mw-ui-button.cdx-button--fake-button--enabled.cdx-button--weight-primary.cdx-button--action-progressive.is-on,
.cdx-button:enabled .mw-ui-button.mw-ui-progressive:not(:disabled).is-on,
.mw-ui-button:enabled .mw-ui-button.mw-ui-progressive:not(:disabled).is-on,
.cdx-button.cdx-button--fake-button--enabled .mw-ui-button.mw-ui-progressive:not(:disabled).is-on,
.mw-ui-button.cdx-button--fake-button--enabled .mw-ui-button.mw-ui-progressive:not(:disabled).is-on {
    background-color: var(--ooui-progressive--hover);
    border-color: var(--ooui-progressive--hover);
    box-shadow: none;
}
.cdx-button.cdx-button--action-destructive:not( :disabled ),
.cdx-button.mw-ui-button--action-destructive:not( :disabled ),
.mw-ui-button.cdx-button--action-destructive:not( :disabled ),
.mw-ui-button.mw-ui-button--action-destructive:not( :disabled ) {
    color: #fff;
}
.cdx-button.cdx-button--weight-quiet,
.cdx-button.mw-ui-button--weight-quiet,
.mw-ui-button.cdx-button--weight-quiet,
.mw-ui-button.mw-ui-button--weight-quiet,
.cdx-button.cdx-button--weight-quiet.cdx-button--action-progressive,
.cdx-button.cdx-button--weight-quiet.mw-ui-button--action-progressive,
.cdx-button.mw-ui-button--weight-quiet.cdx-button--action-progressive,
.cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive,
.mw-ui-button.cdx-button--weight-quiet.cdx-button--action-progressive,
.mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-progressive,
.mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-progressive,
.mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive,
.cdx-button.cdx-button--weight-quiet.cdx-button--action-destructive,
.cdx-button.cdx-button--weight-quiet.mw-ui-button--action-destructive,
.cdx-button.mw-ui-button--weight-quiet.cdx-button--action-destructive,
.cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive,
.mw-ui-button.cdx-button--weight-quiet.cdx-button--action-destructive,
.mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-destructive,
.mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-destructive,
.mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive {
    color: var(--color-base);
}
.cdx-checkbox__input:enabled:checked + .cdx-checkbox__icon,
.mw-ui-checkbox__input:enabled:checked + .cdx-checkbox__icon,
.cdx-checkbox__input:enabled:indeterminate + .cdx-checkbox__icon,
.mw-ui-checkbox__input:enabled:indeterminate + .cdx-checkbox__icon {
    background-color: var(--ooui-progressive);
    border-color: var(--ooui-progressive);
}
.cdx-checkbox__input:enabled:checked:hover + .cdx-checkbox__icon,
.mw-ui-checkbox__input:enabled:checked:hover + .cdx-checkbox__icon,
.cdx-checkbox__input:enabled:indeterminate:hover + .cdx-checkbox__icon,
.mw-ui-checkbox__input:enabled:indeterminate:hover + .cdx-checkbox__icon {
    background-color: var(--ooui-progressive--hover);
    border-color: var(--ooui-progressive--hover);
}
.cdx-checkbox__input:enabled:checked:active + .cdx-checkbox__icon,
.mw-ui-checkbox__input:enabled:checked:active + .cdx-checkbox__icon,
.cdx-checkbox__input:enabled:indeterminate:active + .cdx-checkbox__icon,
.mw-ui-checkbox__input:enabled:indeterminate:active + .cdx-checkbox__icon {
    background-color: var(--ooui-progressive--hover);
    border-color: var(--ooui-progressive--hover);
    box-shadow: inset 0 0 0 1px var(--ooui-progressive--hover);
}
.cdx-checkbox__input:enabled:checked:focus:not(:active),
.mw-ui-checkbox__input:enabled:checked:focus:not(:active),
.cdx-checkbox__input:enabled:indeterminate:focus:not(:active),
.mw-ui-checkbox__input:enabled:indeterminate:focus:not(:active) {
    background-color: var(--ooui-progressive--hover);
    border-color: var(--ooui-accent);
    box-shadow: inset 0 0 0 1px var(--ooui-accent), inset 0 0 0 2px #fff;
}
.cdx-checkbox__input:enabled:checked:focus:not(:active):not(:hover) + .cdx-checkbox__icon,
.mw-ui-checkbox__input:enabled:checked:focus:not(:active):not(:hover) + .cdx-checkbox__icon,
.cdx-checkbox__input:enabled:indeterminate:focus:not(:active):not(:hover) + .cdx-checkbox__icon,
.mw-ui-checkbox__input:enabled:indeterminate:focus:not(:active):not(:hover) + .cdx-checkbox__icon {
    background-color: var(--ooui-progressive--hover);
    border-color: var(--ooui-accent);
    box-shadow: inset 0 0 0 1px var(--ooui-accent), inset 0 0 0 2px #fff;
}
.cdx-checkbox__input:enabled:hover + .cdx-checkbox__icon,
.mw-ui-checkbox__input:enabled:hover + .cdx-checkbox__icon {
    border-color: var(--ooui-accent);
}
.cdx-checkbox__input:enabled:active + .cdx-checkbox__icon,
.mw-ui-checkbox__input:enabled:active + .cdx-checkbox__icon {
    background-color: var(--ooui-progressive--hover);
    border-color: var(--ooui-progressive--hover);
    box-shadow: inset 0 0 0 1px var(--ooui-progressive--hover);
}
input[type='checkbox']:hover + .cdx-button.cdx-button--weight-quiet,
input[type='checkbox']:hover + .cdx-button.mw-ui-button--weight-quiet,
input[type='checkbox']:hover + .mw-ui-button.cdx-button--weight-quiet,
input[type='checkbox']:hover + .mw-ui-button.mw-ui-button--weight-quiet,
input[type='checkbox']:hover + .cdx-button.cdx-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:hover + .cdx-button.cdx-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:hover + .cdx-button.mw-ui-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:hover + .cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:hover + .mw-ui-button.cdx-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:hover + .mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:hover + .mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:hover + .mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:hover + .cdx-button.cdx-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:hover + .cdx-button.cdx-button--weight-quiet.mw-ui-button--action-destructive,
input[type='checkbox']:hover + .cdx-button.mw-ui-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:hover + .cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive,
input[type='checkbox']:hover + .mw-ui-button.cdx-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:hover + .mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-destructive,
input[type='checkbox']:hover + .mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:hover + .mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive,
.cdx-button.cdx-button--weight-quiet:hover,
.cdx-button.mw-ui-button--weight-quiet:hover,
.mw-ui-button.cdx-button--weight-quiet:hover,
.mw-ui-button.mw-ui-button--weight-quiet:hover,
.cdx-button.cdx-button--weight-quiet.cdx-button--action-progressive:hover,
.cdx-button.cdx-button--weight-quiet.mw-ui-button--action-progressive:hover,
.cdx-button.mw-ui-button--weight-quiet.cdx-button--action-progressive:hover,
.cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive:hover,
.mw-ui-button.cdx-button--weight-quiet.cdx-button--action-progressive:hover,
.mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-progressive:hover,
.mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-progressive:hover,
.mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive:hover,
.cdx-button.cdx-button--weight-quiet.cdx-button--action-destructive:hover,
.cdx-button.cdx-button--weight-quiet.mw-ui-button--action-destructive:hover,
.cdx-button.mw-ui-button--weight-quiet.cdx-button--action-destructive:hover,
.cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive:hover,
.mw-ui-button.cdx-button--weight-quiet.cdx-button--action-destructive:hover,
.mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-destructive:hover,
.mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-destructive:hover,
.mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive:hover {
    background-color: rgba(0, 24, 73, 0.02745098);
    color: var(--color-base);
    border-color: transparent;
}
input[type='checkbox']:focus + .cdx-button.cdx-button--weight-quiet,
input[type='checkbox']:focus + .cdx-button.mw-ui-button--weight-quiet,
input[type='checkbox']:focus + .mw-ui-button.cdx-button--weight-quiet,
input[type='checkbox']:focus + .mw-ui-button.mw-ui-button--weight-quiet,
input[type='checkbox']:focus + .cdx-button.cdx-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:focus + .cdx-button.cdx-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:focus + .cdx-button.mw-ui-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:focus + .cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:focus + .mw-ui-button.cdx-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:focus + .mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:focus + .mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:focus + .mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:focus + .cdx-button.cdx-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:focus + .cdx-button.cdx-button--weight-quiet.mw-ui-button--action-destructive,
input[type='checkbox']:focus + .cdx-button.mw-ui-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:focus + .cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive,
input[type='checkbox']:focus + .mw-ui-button.cdx-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:focus + .mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-destructive,
input[type='checkbox']:focus + .mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:focus + .mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive,
.cdx-button.cdx-button--weight-quiet:focus,
.cdx-button.mw-ui-button--weight-quiet:focus,
.mw-ui-button.cdx-button--weight-quiet:focus,
.mw-ui-button.mw-ui-button--weight-quiet:focus,
.cdx-button.cdx-button--weight-quiet.cdx-button--action-progressive:focus,
.cdx-button.cdx-button--weight-quiet.mw-ui-button--action-progressive:focus,
.cdx-button.mw-ui-button--weight-quiet.cdx-button--action-progressive:focus,
.cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive:focus,
.mw-ui-button.cdx-button--weight-quiet.cdx-button--action-progressive:focus,
.mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-progressive:focus,
.mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-progressive:focus,
.mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive:focus,
.cdx-button.cdx-button--weight-quiet.cdx-button--action-destructive:focus,
.cdx-button.cdx-button--weight-quiet.mw-ui-button--action-destructive:focus,
.cdx-button.mw-ui-button--weight-quiet.cdx-button--action-destructive:focus,
.cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive:focus,
.mw-ui-button.cdx-button--weight-quiet.cdx-button--action-destructive:focus,
.mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-destructive:focus,
.mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-destructive:focus,
.mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive:focus {
    color: var(--color-base);
}
input[type='checkbox']:active + .cdx-button.cdx-button--weight-quiet,
input[type='checkbox']:active + .cdx-button.mw-ui-button--weight-quiet,
input[type='checkbox']:active + .mw-ui-button.cdx-button--weight-quiet,
input[type='checkbox']:active + .mw-ui-button.mw-ui-button--weight-quiet,
input[type='checkbox']:active + .cdx-button.cdx-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:active + .cdx-button.cdx-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:active + .cdx-button.mw-ui-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:active + .cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:active + .mw-ui-button.cdx-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:active + .mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:active + .mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-progressive,
input[type='checkbox']:active + .mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive,
input[type='checkbox']:active + .cdx-button.cdx-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:active + .cdx-button.cdx-button--weight-quiet.mw-ui-button--action-destructive,
input[type='checkbox']:active + .cdx-button.mw-ui-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:active + .cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive,
input[type='checkbox']:active + .mw-ui-button.cdx-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:active + .mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-destructive,
input[type='checkbox']:active + .mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-destructive,
input[type='checkbox']:active + .mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive,
.cdx-button.cdx-button--weight-quiet:active,
.cdx-button.mw-ui-button--weight-quiet:active,
.mw-ui-button.cdx-button--weight-quiet:active,
.mw-ui-button.mw-ui-button--weight-quiet:active,
.cdx-button.cdx-button--weight-quiet.cdx-button--action-progressive:active,
.cdx-button.cdx-button--weight-quiet.mw-ui-button--action-progressive:active,
.cdx-button.mw-ui-button--weight-quiet.cdx-button--action-progressive:active,
.cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive:active,
.mw-ui-button.cdx-button--weight-quiet.cdx-button--action-progressive:active,
.mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-progressive:active,
.mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-progressive:active,
.mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-progressive:active,
.cdx-button.cdx-button--weight-quiet.cdx-button--action-destructive:active,
.cdx-button.cdx-button--weight-quiet.mw-ui-button--action-destructive:active,
.cdx-button.mw-ui-button--weight-quiet.cdx-button--action-destructive:active,
.cdx-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive:active,
.mw-ui-button.cdx-button--weight-quiet.cdx-button--action-destructive:active,
.mw-ui-button.cdx-button--weight-quiet.mw-ui-button--action-destructive:active,
.mw-ui-button.mw-ui-button--weight-quiet.cdx-button--action-destructive:active,
.mw-ui-button.mw-ui-button--weight-quiet.mw-ui-button--action-destructive:active {
    background-color: rgba(0, 36, 73, 0.08235294);
    color: var(--color-base);
    border-color: #72777d;
}
.mw-ui-input:not(:disabled) {
    background-color: var(--ooui-input);
    color: var(--color-base);
    border-color: var(--ooui-input-border);
}
.mw-ui-input:not(:disabled):hover {
    border-color: var(--ooui-input-border--hover);
}
.mw-ui-input:not(:disabled):focus {
    border-color: var(--ooui-accent);
    box-shadow: inset 0 0 0 1px var(--ooui-accent);
}
.mw-ui-input:not(:disabled)::placeholder {
    color: var(--byline-color);
}